API ReferenceB Y O A
List BYOA requester registrations for the org.
List BYOA requester registrations for the org. - Rensei REST API operation reference.
GET
header
AuthorizationBearer <rsk_live_*>Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.
orgId*stringOrganization id (must match the authenticated org).
Registrations (no secrets).
application/json- response
registrations*array<>curl -X GET 'https://app.rensei.ai/api/org/string/requester-registrations'Example Response
{ "registrations": [ { "id": "string", "orgId": "string", "actorHandle": "string", "displayName": "string", "allowedProjectIds": [ "string" ], "allowedAgentCards": [ "string" ], "grantedScopes": [ "string" ], "cedarPosture": "string", "pinnedPoolId": "string", "publicKey": "string", "status": "string", "createdBy": "string", "createdAt": "string", "updatedAt": "string", "deletedAt": "string" } ]}List the agent cards an external-agent registration can allow (org admin).
List the agent cards an external-agent registration can allow (org admin). - Rensei REST API operation reference.
Create a requester registration and mint its bound dispatch key (token returned once).
Create a requester registration and mint its bound dispatch key (token returned once). - Rensei REST API operation reference.